* {
  box-sizing: border-box;
}

/* ----------------
   reglas generales
   ---------------- */

body {
  font-family: "arial", sans-serif;
  margin: 0;
  color: rgb(26, 26, 26);
  flex-direction: column;
  justify-content: space-between;
  background-color: rgb(255, 255, 255);
  /* permite ser visualizada en pantallas diferentes */
  min-height: 100dvh;
  }

.menu_superior{
  display:flex;
  justify-content: space-between;
  align-items:center;
  margin:30px; 
}


  header nav ul {
 
  margin-block: 0;
  padding-left: 0;
  list-style: none; 
  display: flex; 
  gap: 1rem; 
  
}

header nav a {
  color: rgb(25,25,25);
  display: inline; 
  width: fit-content; 
  padding-block: .5rem;
  padding-inline: 1rem;
  text-decoration: none;
  letter-spacing: 2px;
  font-weight: 500;
  transition: background-color 0.3s ease-in, color 0.3s ease-in;
  border-radius: .25rem; 
   outline: 1px solid rgb(25, 25, 25); 
}

nav ul li a:hover {
  color: #1A1A1A;
  background-color: #F3ADDF;
}

h1{
  text-align: center;
  font-size: 450%;
}

.poster{
        /* La imagen no supera la altura del contenedor */

}
.poster img{
  object-fit: contain;
    align-items: center;
  justify-content: center;
}

.descripcion{
  
  max-width: 600px; /* Ocupa un máximo de 600 píxeles */
  margin: 0;  /* Centra el párrafo en la pantalla */

}
.integrantes {
  display: flex;
  overflow-wrap:break-word;  /*  div no se que es*/
  justify-content: space-evenly;
  gap: 2rem;
}
    
.integrantes article{
  width:300px;
  height: 320px;
  display:flex;
  flex-direction:column;
  align-items: center;
  justify-content: space-evenly;
  margin-inline: 50px;
  background-color: #F3ADDF;
  outline: 1px solid rgb(25, 25, 25); 
  border-radius: .50rem; /* Borde redondeado del div */
}
.integrantes article img{
   width: 50%;
    height: 50%;
    object-fit:contain;
    border-radius: .25rem;
  outline: solid 1px;
}

.integrantes article a {
  margin-block-end: 20px;
  padding: 5px;
  border-radius: .25rem;
  outline: solid 1px;
  text-decoration: none;
  background-color: white;
  color: black;
  display: block;
}

.datos-academicos {
  padding: 5rem 2rem;
    background-color: #ffffff;
    color: #1A1A1A;
  }

.datos-academicos article > div {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(min(20rem, 100%), 1fr));
  gap: 1.5rem;
}

.datos-academicos article > div > div {
  display: grid;
  grid-template-rows: auto 1fr;
  gap: 2rem;
  padding: 1rem;
  border: 1px solid #1A1A1A;
  border-radius: .50rem;
}

.datos-academicos article img {
  width: 12rem;
  aspect-ratio: 1;
  object-fit: contain;
  background-color: #ffffff;
  border-radius: 1.2rem;
}

.datos-academicos article ul {
  list-style: none;
}

.datos-academicos article a {
  padding: 0.8rem 1rem;
  margin-inline-end: auto;
  color: #1A1A1A;
  border: 1px solid #1A1A1A;
  border-radius: 5rem;
  text-decoration: none;
  transition: all 0.5s;
}

footer{
  background-color: #F9DF5C;
  color:#1A1A1A;
}

